import React, { Component } from "react";
declare type focusedElement = number | undefined | null;
declare type AccordionProps = {
    children: React.ReactNode;
    id?: string;
    onToggle?: (event: number) => void;
    className?: string;
} & JSX.IntrinsicElements["div"];
declare type AccordionState = {
    currentlyFocused: focusedElement;
};
declare class Accordion extends Component<AccordionProps, AccordionState> {
    private uid;
    constructor(props: any);
    onNavigation: (nav: React.KeyboardEvent<HTMLDivElement>) => void;
    setFocus: (current: focusedElement) => void;
    render(): JSX.Element;
}
export { Accordion };
